<html>
<head>
<title>OgrePlatform.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Defines</a> &#124;
<a href="#typedef-members">Typedefs</a>  </div>
  <div class="headertitle">
<div class="title">OgrePlatform.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgreConfig_8h_source.html">OgreConfig.h</a>&quot;</code><br/>
</div>
<p><a href="OgrePlatform_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#acbe1943c4784d0e38a71195b186b2648">OGRE_PLATFORM_WIN32</a>&#160;&#160;&#160;1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#ad6ca9e6d3e2b2da8d4ee9e74a8a8f437">OGRE_PLATFORM_LINUX</a>&#160;&#160;&#160;2</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#ac1835ebd5d472ca20f5b4b3a2ddee10a">OGRE_PLATFORM_APPLE</a>&#160;&#160;&#160;3</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#ab967db56cbfa2dd73046ff0aca4c6b21">OGRE_PLATFORM_SYMBIAN</a>&#160;&#160;&#160;4</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#a4499f0589d3e524e29fc9016a90f38d3">OGRE_PLATFORM_APPLE_IOS</a>&#160;&#160;&#160;5</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#a696b7f8c06236aa9ce8b16569fc13985">OGRE_PLATFORM_ANDROID</a>&#160;&#160;&#160;6</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#a1886da46819d5c6333981e2500f29b3c">OGRE_PLATFORM_NACL</a>&#160;&#160;&#160;7</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#a6a94af2b19015f8d92898251ba51b894">OGRE_COMPILER_MSVC</a>&#160;&#160;&#160;1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#ac98b9fc56eebcda33a152960bd376375">OGRE_COMPILER_GNUC</a>&#160;&#160;&#160;2</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#ab912259af4a8a0d36f9b40df0d2eaa9f">OGRE_COMPILER_BORL</a>&#160;&#160;&#160;3</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#a9c256bb4bd2b51e471a4a22a3c735c88">OGRE_COMPILER_WINSCW</a>&#160;&#160;&#160;4</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#ab031cce9dea8e68007d20ebe12e4aeda">OGRE_COMPILER_GCCE</a>&#160;&#160;&#160;5</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#a1e1b3451f5070fe036ad603e9f3c4fa9">OGRE_COMPILER_CLANG</a>&#160;&#160;&#160;6</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#a600c868168881add7117060af46eb666">OGRE_ENDIAN_LITTLE</a>&#160;&#160;&#160;1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#a077f6bc75ffd397f81a56ec2cd2838c3">OGRE_ENDIAN_BIG</a>&#160;&#160;&#160;2</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#a37b62784316fecdf49524d6492b2f54e">OGRE_ARCHITECTURE_32</a>&#160;&#160;&#160;1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#a338389706b17fb84162ebfa9a4c2195a">OGRE_ARCHITECTURE_64</a>&#160;&#160;&#160;2</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#a724fb9f82013c782db5c3c12ea36aac8">FORCEINLINE</a>&#160;&#160;&#160;__inline</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#ad84d3cf520c16ba4ffd3715942f7f175">OGRE_PLATFORM</a>&#160;&#160;&#160;<a class="el" href="OgrePlatform_8h.html#ad6ca9e6d3e2b2da8d4ee9e74a8a8f437">OGRE_PLATFORM_LINUX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#a4de9497f1c50d8052061e4870d5cdb42">OGRE_ARCH_TYPE</a>&#160;&#160;&#160;<a class="el" href="OgrePlatform_8h.html#a37b62784316fecdf49524d6492b2f54e">OGRE_ARCHITECTURE_32</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#a9201035492049999bc82d4baa25ee090">OGRE_QUOTE_INPLACE</a>(x)&#160;&#160;&#160;# x</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#ab79b68443593aa3abe67d6adea621226">OGRE_QUOTE</a>(x)&#160;&#160;&#160;<a class="el" href="OgrePlatform_8h.html#a9201035492049999bc82d4baa25ee090">OGRE_QUOTE_INPLACE</a>(x)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#ab61ba9272b27cdd1181dd5a18d40b750">OGRE_WARN</a>(x)&#160;&#160;&#160;message( __FILE__ &quot;(&quot; QUOTE( __LINE__ ) &quot;) : &quot; x &quot;\n&quot; )</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#a4e0be90a3757e352f42612d09a7d1aa5">stricmp</a>&#160;&#160;&#160;strcasecmp</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#a15ea2b61c3e8ac05db2972f528f94753">OGRE_DEBUG_MODE</a>&#160;&#160;&#160;0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#abd45db57e45902634b2b9dbb7b2b9338">OGRE_PLATFORM_LIB</a>&#160;&#160;&#160;&quot;libOgrePlatform.so&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#a6b22414ce99a335fea0f51584cb766e4">OGRE_UNICODE_SUPPORT</a>&#160;&#160;&#160;1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatform_8h.html#a9af9f9208025e8051717aee67e4e7267">OGRE_ENDIAN</a>&#160;&#160;&#160;<a class="el" href="OgrePlatform_8h.html#a600c868168881add7117060af46eb666">OGRE_ENDIAN_LITTLE</a></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">Ogre::uint32</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">Ogre::uint16</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef unsigned char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">Ogre::uint8</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#a1c37a43c04753c9ae0c17108c9e6c9d2">Ogre::int32</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#a5c8843f6e8086a9239fed14de8b9d859">Ogre::int16</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#aa258bf39b19d5814a79d6533763e02ba">Ogre::int8</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef unsigned long long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#a7e1487b57f16a1479302d1896c6f4445">Ogre::uint64</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef long long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#a44bca44dae060c979d0e74cbf77cf4dc">Ogre::int64</a></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a20566b1253bae200372ed9162489a663"></a><!-- doxytag: member="OgrePlatform.h::_OgreExport" ref="a20566b1253bae200372ed9162489a663" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00256">256</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="af4c2f5df97e3050dd5266408be42db4b"></a><!-- doxytag: member="OgrePlatform.h::_OgrePrivate" ref="af4c2f5df97e3050dd5266408be42db4b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00257">257</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="a724fb9f82013c782db5c3c12ea36aac8"></a><!-- doxytag: member="OgrePlatform.h::FORCEINLINE" ref="a724fb9f82013c782db5c3c12ea36aac8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#a724fb9f82013c782db5c3c12ea36aac8">FORCEINLINE</a>&#160;&#160;&#160;__inline</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00098">98</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4de9497f1c50d8052061e4870d5cdb42"></a><!-- doxytag: member="OgrePlatform.h::OGRE_ARCH_TYPE" ref="a4de9497f1c50d8052061e4870d5cdb42" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#a4de9497f1c50d8052061e4870d5cdb42">OGRE_ARCH_TYPE</a>&#160;&#160;&#160;<a class="el" href="OgrePlatform_8h.html#a37b62784316fecdf49524d6492b2f54e">OGRE_ARCHITECTURE_32</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00139">139</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="a37b62784316fecdf49524d6492b2f54e"></a><!-- doxytag: member="OgrePlatform.h::OGRE_ARCHITECTURE_32" ref="a37b62784316fecdf49524d6492b2f54e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#a37b62784316fecdf49524d6492b2f54e">OGRE_ARCHITECTURE_32</a>&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00054">54</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="a338389706b17fb84162ebfa9a4c2195a"></a><!-- doxytag: member="OgrePlatform.h::OGRE_ARCHITECTURE_64" ref="a338389706b17fb84162ebfa9a4c2195a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#a338389706b17fb84162ebfa9a4c2195a">OGRE_ARCHITECTURE_64</a>&#160;&#160;&#160;2</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00055">55</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab912259af4a8a0d36f9b40df0d2eaa9f"></a><!-- doxytag: member="OgrePlatform.h::OGRE_COMPILER_BORL" ref="ab912259af4a8a0d36f9b40df0d2eaa9f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#ab912259af4a8a0d36f9b40df0d2eaa9f">OGRE_COMPILER_BORL</a>&#160;&#160;&#160;3</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00046">46</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1e1b3451f5070fe036ad603e9f3c4fa9"></a><!-- doxytag: member="OgrePlatform.h::OGRE_COMPILER_CLANG" ref="a1e1b3451f5070fe036ad603e9f3c4fa9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#a1e1b3451f5070fe036ad603e9f3c4fa9">OGRE_COMPILER_CLANG</a>&#160;&#160;&#160;6</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00049">49</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab031cce9dea8e68007d20ebe12e4aeda"></a><!-- doxytag: member="OgrePlatform.h::OGRE_COMPILER_GCCE" ref="ab031cce9dea8e68007d20ebe12e4aeda" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#ab031cce9dea8e68007d20ebe12e4aeda">OGRE_COMPILER_GCCE</a>&#160;&#160;&#160;5</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00048">48</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac98b9fc56eebcda33a152960bd376375"></a><!-- doxytag: member="OgrePlatform.h::OGRE_COMPILER_GNUC" ref="ac98b9fc56eebcda33a152960bd376375" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#ac98b9fc56eebcda33a152960bd376375">OGRE_COMPILER_GNUC</a>&#160;&#160;&#160;2</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00045">45</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6a94af2b19015f8d92898251ba51b894"></a><!-- doxytag: member="OgrePlatform.h::OGRE_COMPILER_MSVC" ref="a6a94af2b19015f8d92898251ba51b894" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#a6a94af2b19015f8d92898251ba51b894">OGRE_COMPILER_MSVC</a>&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00044">44</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9c256bb4bd2b51e471a4a22a3c735c88"></a><!-- doxytag: member="OgrePlatform.h::OGRE_COMPILER_WINSCW" ref="a9c256bb4bd2b51e471a4a22a3c735c88" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#a9c256bb4bd2b51e471a4a22a3c735c88">OGRE_COMPILER_WINSCW</a>&#160;&#160;&#160;4</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00047">47</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="a15ea2b61c3e8ac05db2972f528f94753"></a><!-- doxytag: member="OgrePlatform.h::OGRE_DEBUG_MODE" ref="a15ea2b61c3e8ac05db2972f528f94753" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#a15ea2b61c3e8ac05db2972f528f94753">OGRE_DEBUG_MODE</a>&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00266">266</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9af9f9208025e8051717aee67e4e7267"></a><!-- doxytag: member="OgrePlatform.h::OGRE_ENDIAN" ref="a9af9f9208025e8051717aee67e4e7267" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#a9af9f9208025e8051717aee67e4e7267">OGRE_ENDIAN</a>&#160;&#160;&#160;<a class="el" href="OgrePlatform_8h.html#a600c868168881add7117060af46eb666">OGRE_ENDIAN_LITTLE</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00289">289</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="a077f6bc75ffd397f81a56ec2cd2838c3"></a><!-- doxytag: member="OgrePlatform.h::OGRE_ENDIAN_BIG" ref="a077f6bc75ffd397f81a56ec2cd2838c3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#a077f6bc75ffd397f81a56ec2cd2838c3">OGRE_ENDIAN_BIG</a>&#160;&#160;&#160;2</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00052">52</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="a600c868168881add7117060af46eb666"></a><!-- doxytag: member="OgrePlatform.h::OGRE_ENDIAN_LITTLE" ref="a600c868168881add7117060af46eb666" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#a600c868168881add7117060af46eb666">OGRE_ENDIAN_LITTLE</a>&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00051">51</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad84d3cf520c16ba4ffd3715942f7f175"></a><!-- doxytag: member="OgrePlatform.h::OGRE_PLATFORM" ref="ad84d3cf520c16ba4ffd3715942f7f175" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#ad84d3cf520c16ba4ffd3715942f7f175">OGRE_PLATFORM</a>&#160;&#160;&#160;<a class="el" href="OgrePlatform_8h.html#ad6ca9e6d3e2b2da8d4ee9e74a8a8f437">OGRE_PLATFORM_LINUX</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00132">132</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="a696b7f8c06236aa9ce8b16569fc13985"></a><!-- doxytag: member="OgrePlatform.h::OGRE_PLATFORM_ANDROID" ref="a696b7f8c06236aa9ce8b16569fc13985" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#a696b7f8c06236aa9ce8b16569fc13985">OGRE_PLATFORM_ANDROID</a>&#160;&#160;&#160;6</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00041">41</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac1835ebd5d472ca20f5b4b3a2ddee10a"></a><!-- doxytag: member="OgrePlatform.h::OGRE_PLATFORM_APPLE" ref="ac1835ebd5d472ca20f5b4b3a2ddee10a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#ac1835ebd5d472ca20f5b4b3a2ddee10a">OGRE_PLATFORM_APPLE</a>&#160;&#160;&#160;3</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00038">38</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4499f0589d3e524e29fc9016a90f38d3"></a><!-- doxytag: member="OgrePlatform.h::OGRE_PLATFORM_APPLE_IOS" ref="a4499f0589d3e524e29fc9016a90f38d3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#a4499f0589d3e524e29fc9016a90f38d3">OGRE_PLATFORM_APPLE_IOS</a>&#160;&#160;&#160;5</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00040">40</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="abd45db57e45902634b2b9dbb7b2b9338"></a><!-- doxytag: member="OgrePlatform.h::OGRE_PLATFORM_LIB" ref="abd45db57e45902634b2b9dbb7b2b9338" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#abd45db57e45902634b2b9dbb7b2b9338">OGRE_PLATFORM_LIB</a>&#160;&#160;&#160;&quot;libOgrePlatform.so&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00274">274</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad6ca9e6d3e2b2da8d4ee9e74a8a8f437"></a><!-- doxytag: member="OgrePlatform.h::OGRE_PLATFORM_LINUX" ref="ad6ca9e6d3e2b2da8d4ee9e74a8a8f437" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#ad6ca9e6d3e2b2da8d4ee9e74a8a8f437">OGRE_PLATFORM_LINUX</a>&#160;&#160;&#160;2</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00037">37</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1886da46819d5c6333981e2500f29b3c"></a><!-- doxytag: member="OgrePlatform.h::OGRE_PLATFORM_NACL" ref="a1886da46819d5c6333981e2500f29b3c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#a1886da46819d5c6333981e2500f29b3c">OGRE_PLATFORM_NACL</a>&#160;&#160;&#160;7</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00042">42</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab967db56cbfa2dd73046ff0aca4c6b21"></a><!-- doxytag: member="OgrePlatform.h::OGRE_PLATFORM_SYMBIAN" ref="ab967db56cbfa2dd73046ff0aca4c6b21" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#ab967db56cbfa2dd73046ff0aca4c6b21">OGRE_PLATFORM_SYMBIAN</a>&#160;&#160;&#160;4</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00039">39</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="acbe1943c4784d0e38a71195b186b2648"></a><!-- doxytag: member="OgrePlatform.h::OGRE_PLATFORM_WIN32" ref="acbe1943c4784d0e38a71195b186b2648" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#acbe1943c4784d0e38a71195b186b2648">OGRE_PLATFORM_WIN32</a>&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00036">36</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab79b68443593aa3abe67d6adea621226"></a><!-- doxytag: member="OgrePlatform.h::OGRE_QUOTE" ref="ab79b68443593aa3abe67d6adea621226" args="(x)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#ab79b68443593aa3abe67d6adea621226">OGRE_QUOTE</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="OgrePlatform_8h.html#a9201035492049999bc82d4baa25ee090">OGRE_QUOTE_INPLACE</a>(x)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00146">146</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9201035492049999bc82d4baa25ee090"></a><!-- doxytag: member="OgrePlatform.h::OGRE_QUOTE_INPLACE" ref="a9201035492049999bc82d4baa25ee090" args="(x)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#a9201035492049999bc82d4baa25ee090">OGRE_QUOTE_INPLACE</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x</td><td>)</td>
          <td>&#160;&#160;&#160;# x</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00145">145</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6b22414ce99a335fea0f51584cb766e4"></a><!-- doxytag: member="OgrePlatform.h::OGRE_UNICODE_SUPPORT" ref="a6b22414ce99a335fea0f51584cb766e4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#a6b22414ce99a335fea0f51584cb766e4">OGRE_UNICODE_SUPPORT</a>&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00279">279</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab61ba9272b27cdd1181dd5a18d40b750"></a><!-- doxytag: member="OgrePlatform.h::OGRE_WARN" ref="ab61ba9272b27cdd1181dd5a18d40b750" args="(x)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#ab61ba9272b27cdd1181dd5a18d40b750">OGRE_WARN</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x</td><td>)</td>
          <td>&#160;&#160;&#160;message( __FILE__ &quot;(&quot; QUOTE( __LINE__ ) &quot;) : &quot; x &quot;\n&quot; )</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00147">147</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4e0be90a3757e352f42612d09a7d1aa5"></a><!-- doxytag: member="OgrePlatform.h::stricmp" ref="a4e0be90a3757e352f42612d09a7d1aa5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatform_8h.html#a4e0be90a3757e352f42612d09a7d1aa5">stricmp</a>&#160;&#160;&#160;strcasecmp</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatform_8h_source.html#l00261">261</a> of file <a class="el" href="OgrePlatform_8h_source.html">OgrePlatform.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
